package agilpizza.modelo;

import agilpizza.Constantes;

public class PedidoItemPizza {
	private int id;

	private double precoFinal;

	private String estadoDoItem;

	private Pizza pizza;

	public PedidoItemPizza(int id, Pizza pizza) {
		this.id = id;
		this.estadoDoItem = Constantes.ESTADO_NA_SESSAO;
		this.pizza = pizza;
	}

	public String getEstadoDoItem() {
		return estadoDoItem;
	}

	public void setEstadoDoItem(String estadoDoItem) {
		if (estadoDoItem.equals(Constantes.ESTADO_PIZZA_PEDIDA)) {
			precoFinal = pizza.getPrecoTotal();
		}
		this.estadoDoItem = estadoDoItem;
	}

	public int getId() {
		return id;
	}

	public double getPreco() {
		if (!estadoDoItem.equals(Constantes.ESTADO_NA_SESSAO))
			return precoFinal;
		return pizza.getPrecoTotal();
	}

	public Pizza getPizza() {
		return pizza;
	}

	public void setPizza(Pizza pizza) {
		this.pizza = pizza;
	}

	public boolean equals(int id) {
		return (this.id == id);
	}

}